#include <bits/stdc++.h>
using namespace std;

long long a[20005],b[20005],c,d,e,f,n,m,k,i,j,x,y,mi,ma,res,l,r;
string s;

int main()
{
    cin>>s;
    n=s.size();
    for(i=0;i<n;i++)
    {
        a[i+1]=s[i]-96;
    }
    c=1;
    for(i=1;i<=n;i++)
    {
        b[i]=c;
        if(a[i]>a[i+1])c++;
    }
    cin>>n;
    for(i=1;i<=n;i++)
    {
        cin>>l>>r;
        cout<<b[r]-b[l]+1<<endl;
    }

    return 0;
}
